import * as PropTypes from "prop-types";
import * as React from "react";
import { FontFace } from "./types";
export interface FallbackProps {
    fontFaces: Array<FontFace>;
    /**
     * Use this to provide your own sample text.
     */
    sample?: React.ReactNode;
}
interface State {
    cut: FontFace;
    activeFallback: undefined | string;
}
export declare class Fallback extends React.PureComponent<FallbackProps, State> {
    static contextTypes: {
        catalog: PropTypes.Validator<object>;
    };
    context: {
        catalog: any;
    };
    state: State;
    selectCut: (cut: FontFace) => () => void;
    toggleFallback: (fontFamily: string | undefined) => () => void;
    render(): JSX.Element;
}
export {};
